Zebra - User's Guide and Reference
Prev |  | Next

# Chapter 6. Running the Maintenance Interface (zebraidx)

The following is a complete reference to the command line interface to the `zebraidx` application.

Syntax

       $ zebraidx [options] command [directory] ...

Options:

-t `type`

  Update all files as `type`. Currently, the types supported are `text` and `grs``.subtype`. If no `subtype` is provided for the GRS (General Record Structure) type, the canonical input format is assumed (see the Section called Local Representation in Chapter 8). Generally, it is probably advisable to specify the record types in the `zebra.cfg` file (see the Section called Record Types in Chapter 5), to avoid confusion at subsequent updates.

-c `config-file`

  Read the configuration file `config-file` instead of `zebra.cfg`.

-g `group`

  Update the files according to the group settings for `group` (see the Section called The Zebra Configuration File in Chapter 5).

-d `database`

  The records located should be associated with the database name `database` for access through the Z39.50 server.

-l `file`

  Write log messages to `file` instead of `stderr`.

-m `mbytes`

  Use `mbytes` of memory before flushing keys to background storage. This setting affects performance when updating large databases.

-n

  Disable the use of shadow registers for this operation (see the Section called Safe Updating - Using Shadow Registers in Chapter 5).

-s

  Show analysis of the indexing process. The maintenance program works in a read-only mode and doesn't change the state of the index. This options is very useful when you wish to test a new profile.

-V

  Show Zebra version.

-v `level`

  Set the log level to `level`. `level` should be one of `none`, `debug`, and `all`.

Commands

update `directory`

  Update the register with the files contained in `directory`. If no directory is provided, a list of files is read from `stdin`. See Chapter 5.

delete `directory`

  Remove the records corresponding to the files found under `directory` from the register.

commit

  Write the changes resulting from the last `update` commands to the register. This command is only available if the use of shadow register files is enabled (see the Section called Safe Updating - Using Shadow Registers in Chapter 5).

Prev | Home | Next
Safe Updating - Using Shadow Registers |  | The Z39.50 Server